package mezz.jei.common.plugins.vanilla.compostable;

import com.google.common.base.Preconditions;
import mezz.jei.api.recipe.vanilla.IJeiCompostingRecipe;
import net.minecraft.class_1799;
import java.util.List;

public class CompostingRecipe implements IJeiCompostingRecipe {
	private final List<class_1799> inputs;
	private final float chance;

	public CompostingRecipe(class_1799 input, float chance) {
		Preconditions.checkArgument(chance > 0, "composting chance must be greater than 0");
		this.inputs = List.of(input);
		this.chance = chance;
	}

	@Override
	public List<class_1799> getInputs() {
		return inputs;
	}

	@Override
	public float getChance() {
		return chance;
	}
}
